<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): ListType.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_list_type_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ListType.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__LISTTYPE_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__LISTTYPE_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;DataType.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html">   47</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_list_type.html">ListType</a> : <span class="keyword">public</span> <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;{</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#ae0c134bbafa69e4f15df22ae2033d0d5">   57</a></span>&#160;    <a class="code" href="classerpcgen_1_1_list_type.html#ae0c134bbafa69e4f15df22ae2033d0d5">ListType</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *elementType)</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    : <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a>(<span class="stringliteral">&quot;(list)&quot;</span>, kListType)</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    , <a class="code" href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">m_elementType</a>(elementType)</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    , <a class="code" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">m_lengthVariableName</a>(<span class="stringliteral">&quot;&quot;</span>)</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    {</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    }</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#a4a6243a52627f44bc40761b794c3d17b">   69</a></span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_list_type.html#a4a6243a52627f44bc40761b794c3d17b">getElementType</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">m_elementType</a>; }</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#ad19321980d03fc291b678c6709da6058">   76</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_list_type.html#ad19321980d03fc291b678c6709da6058">setElementType</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *elementType) { <a class="code" href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">m_elementType</a> = elementType; }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#af5696523884fcc96932086e5b9a37cc0">   83</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_list_type.html#af5696523884fcc96932086e5b9a37cc0">isList</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keyword">virtual</span> std::string <a class="code" href="classerpcgen_1_1_list_type.html#acd69b19dae89b94123a97cbfad33ba0c">getDescription</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#a26f005eb625775e8c7813ea33acc593e">  106</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_list_type.html#a26f005eb625775e8c7813ea33acc593e">setLengthVariableName</a>(<span class="keyword">const</span> std::string &amp;lengthVariableName) { <a class="code" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">m_lengthVariableName</a> = lengthVariableName; }</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#aec9df9fe871c9013f7a22d785f428f5a">  113</a></span>&#160;    std::string &amp;<a class="code" href="classerpcgen_1_1_list_type.html#aec9df9fe871c9013f7a22d785f428f5a">getLengthVariableName</a>() { <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">m_lengthVariableName</a>; }</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#a1f9fca1bf6527da9a97f410eb3d96ce0">  121</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_list_type.html#a1f9fca1bf6527da9a97f410eb3d96ce0">hasLengthVariable</a>() { <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span> != <a class="code" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">m_lengthVariableName</a>; }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">  124</a></span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">m_elementType</a>;          </div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">  125</a></span>&#160;    std::string <a class="code" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">m_lengthVariableName</a>; </div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;};</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__LISTTYPE_H_</span></div><div class="ttc" id="classerpcgen_1_1_list_type_html_a1f9fca1bf6527da9a97f410eb3d96ce0"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#a1f9fca1bf6527da9a97f410eb3d96ce0">erpcgen::ListType::hasLengthVariable</a></div><div class="ttdeci">bool hasLengthVariable()</div><div class="ttdoc">This function returns information if object contains length variable. </div><div class="ttdef"><b>Definition:</b> ListType.h:121</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html"><div class="ttname"><a href="classerpcgen_1_1_list_type.html">erpcgen::ListType</a></div><div class="ttdoc">Variable length list of another data type. </div><div class="ttdef"><b>Definition:</b> ListType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_a4a6243a52627f44bc40761b794c3d17b"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#a4a6243a52627f44bc40761b794c3d17b">erpcgen::ListType::getElementType</a></div><div class="ttdeci">DataType * getElementType() const </div><div class="ttdoc">This function returns element data type. </div><div class="ttdef"><b>Definition:</b> ListType.h:69</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_acd69b19dae89b94123a97cbfad33ba0c"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#acd69b19dae89b94123a97cbfad33ba0c">erpcgen::ListType::getDescription</a></div><div class="ttdeci">virtual std::string getDescription() const </div><div class="ttdoc">This function returns description about the list. </div><div class="ttdef"><b>Definition:</b> Type.cpp:273</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_a999c390c1e92a46ac3bf9f468bff67e3"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">erpcgen::ListType::m_elementType</a></div><div class="ttdeci">DataType * m_elementType</div><div class="ttdef"><b>Definition:</b> ListType.h:124</div></div>
<div class="ttc" id="classerpcgen_1_1_data_type_html"><div class="ttname"><a href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></div><div class="ttdoc">Base class for data types. </div><div class="ttdef"><b>Definition:</b> DataType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_ae0c134bbafa69e4f15df22ae2033d0d5"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#ae0c134bbafa69e4f15df22ae2033d0d5">erpcgen::ListType::ListType</a></div><div class="ttdeci">ListType(DataType *elementType)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> ListType.h:57</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_a26f005eb625775e8c7813ea33acc593e"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#a26f005eb625775e8c7813ea33acc593e">erpcgen::ListType::setLengthVariableName</a></div><div class="ttdeci">void setLengthVariableName(const std::string &amp;lengthVariableName)</div><div class="ttdoc">This function set variable name. This variable is used in generated file to store size of list...</div><div class="ttdef"><b>Definition:</b> ListType.h:106</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_af5696523884fcc96932086e5b9a37cc0"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#af5696523884fcc96932086e5b9a37cc0">erpcgen::ListType::isList</a></div><div class="ttdeci">virtual bool isList() const </div><div class="ttdoc">This function return &quot;true&quot; value for identify list type. </div><div class="ttdef"><b>Definition:</b> ListType.h:83</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_ad19321980d03fc291b678c6709da6058"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#ad19321980d03fc291b678c6709da6058">erpcgen::ListType::setElementType</a></div><div class="ttdeci">void setElementType(DataType *elementType)</div><div class="ttdoc">This function set element data type. </div><div class="ttdef"><b>Definition:</b> ListType.h:76</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_a2371480b2870eaf18c7f52d581a42cb8"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">erpcgen::ListType::m_lengthVariableName</a></div><div class="ttdeci">std::string m_lengthVariableName</div><div class="ttdef"><b>Definition:</b> ListType.h:125</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html_aec9df9fe871c9013f7a22d785f428f5a"><div class="ttname"><a href="classerpcgen_1_1_list_type.html#aec9df9fe871c9013f7a22d785f428f5a">erpcgen::ListType::getLengthVariableName</a></div><div class="ttdeci">std::string &amp; getLengthVariableName()</div><div class="ttdoc">This function returns variable name. This variable is used in generated file to store size of list...</div><div class="ttdef"><b>Definition:</b> ListType.h:113</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
